diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2021 Vinicius Monego <monego@posteo.net>
 ;;; Copyright © 2021 Petr Hodina <phodina@protonmail.com>
 ;;; Copyright © 2021 Ricardo Wurmus <rekado@elephly.net>
+;;; Copyright © 2021 Jacob Hrbek <kreyren@rixotstudio.cz>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -112,14 +113,14 @@ (define-public rust-abomonation-0.7
     (name "rust-abomonation")
     (version "0.7.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "abomonation" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cjg3hjf028n447pdj7zcdgrkngx30as8ndxlxx947wvr49jkrsn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "abomonation" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cjg3hjf028n447pdj7zcdgrkngx30as8ndxlxx947wvr49jkrsn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -1074,22 +1075,22 @@ (define-public rust-addr-0.14
     (name "rust-addr")
     (version "0.14.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "addr" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0w6v0wwv203v0lyvwsq27rwfhvmw7dsmrqc9r3gszbx2974wlk65"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-no-std-net" ,rust-no-std-net-0.5)
-         ("rust-psl" ,rust-psl-2)
-         ("rust-psl-types" ,rust-psl-types-2)
-         ("rust-publicsuffix" ,rust-publicsuffix-2)
-         ("rust-serde" ,rust-serde-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "addr" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0w6v0wwv203v0lyvwsq27rwfhvmw7dsmrqc9r3gszbx2974wlk65"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-no-std-net" ,rust-no-std-net-0.5)
+        ("rust-psl" ,rust-psl-2)
+        ("rust-psl-types" ,rust-psl-types-2)
+        ("rust-publicsuffix" ,rust-publicsuffix-2)
+        ("rust-serde" ,rust-serde-1))))
     (home-page "https://github.com/addr-rs/addr")
     (synopsis "Parsing domain names")
     (description "This package provides a library for parsing domain names.")
@@ -1101,14 +1102,14 @@ (define-public rust-addr2line-0.11
     (name "rust-addr2line")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "addr2line" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0sk5g8cb2yynlcm0wcqff9l9c9ml69rqgfrrbii0ybgdc236jkhw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "addr2line" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0sk5g8cb2yynlcm0wcqff9l9c9ml69rqgfrrbii0ybgdc236jkhw"))))
     (arguments
      `(#:tests? #f      ; Not all test files included.
        #:cargo-inputs
@@ -1154,7 +1155,7 @@ (define-public rust-addr2line-0.9
        #:cargo-development-inputs
        (("rust-backtrace" ,rust-backtrace-0.3)
         ("rust-clap" ,rust-clap-2)
-        ;("rust-findshlibs" ,rust-findshlibs-0.4)
+                                        ;("rust-findshlibs" ,rust-findshlibs-0.4)
         ("rust-memmap" ,rust-memmap-0.7)
         ("rust-rustc-test" ,rust-rustc-test-0.3))))))
 
@@ -1190,14 +1191,14 @@ (define-public rust-adler32-1
     (name "rust-adler32")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "adler32" version))
-        (file-name
-          (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0bgks405vz823bphgwhj4l9h6vpfh900s0phfk4qqijyh9xhfysn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "adler32" version))
+       (file-name
+        (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0bgks405vz823bphgwhj4l9h6vpfh900s0phfk4qqijyh9xhfysn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -1551,14 +1552,14 @@ (define-public rust-afl-0.5
     (name "rust-afl")
     (version "0.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "afl" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0azpi917l8nhvx25n2v670nvkxkrhcwmddfi85qnr6kchmi6y946"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "afl" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0azpi917l8nhvx25n2v670nvkxkrhcwmddfi85qnr6kchmi6y946"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -1691,14 +1692,14 @@ (define-public rust-aho-corasick-0.6
     (name "rust-aho-corasick")
     (version "0.6.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "aho-corasick" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19f8v503ibvlyr824g5ynicrh1lsmp2i0zmpszr8lqay0qw3vkl1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "aho-corasick" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19f8v503ibvlyr824g5ynicrh1lsmp2i0zmpszr8lqay0qw3vkl1"))))
     (arguments
      `(#:cargo-inputs
        (("rust-memchr" ,rust-memchr-2))
@@ -1805,14 +1806,14 @@ (define-public rust-alga-0.9
     (name "rust-alga")
     (version "0.9.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "alga" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wl4z8ini9269x04g8wwdz1nn3hmmvaaysq4jwhymikyg81kv0jg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "alga" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wl4z8ini9269x04g8wwdz1nn3hmmvaaysq4jwhymikyg81kv0jg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -1839,14 +1840,14 @@ (define-public rust-alga-derive-0.9
     (name "rust-alga-derive")
     (version "0.9.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "alga-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0a2594j6blczz18vfg85agr7vsjrbq6900d3xwxw0zzbqj9j2adz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "alga-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0a2594j6blczz18vfg85agr7vsjrbq6900d3xwxw0zzbqj9j2adz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -2022,13 +2023,13 @@ (define-public rust-antidote-1
     (name "rust-antidote")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "antidote" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "19g2sw2qa2ibnh4x7j1snk46593jgx6y7rnvva496ynq61af5z9l"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "antidote" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "19g2sw2qa2ibnh4x7j1snk46593jgx6y7rnvva496ynq61af5z9l"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/sfackler/rust-antidote")
     (synopsis "Poison-free Mutex and RwLock types")
@@ -2253,14 +2254,14 @@ (define-public rust-arbitrary-0.2
     (name "rust-arbitrary")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "arbitrary" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1i3fhcdyjq4isn22xx2svmpfr5hwyzi0wavbm07fs8i2dv5pdkv4"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "arbitrary" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1i3fhcdyjq4isn22xx2svmpfr5hwyzi0wavbm07fs8i2dv5pdkv4"))))))
 
 (define-public rust-arboard-1
   (package
@@ -2352,14 +2353,14 @@ (define-public rust-arg-enum-proc-macro-0.3
     (name "rust-arg-enum-proc-macro")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "arg_enum_proc_macro" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "021rr6j3n031ynfbm7kwb3j3bxvbsz40n0nqi78k47d3p92rihcv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "arg_enum_proc_macro" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "021rr6j3n031ynfbm7kwb3j3bxvbsz40n0nqi78k47d3p92rihcv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -2856,14 +2857,14 @@ (define-public rust-ascii-1
     (name "rust-ascii")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ascii" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0281gc828q4j692gb66jfdr5k16gyszgqflylh0pp30rllv63xdv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ascii" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0281gc828q4j692gb66jfdr5k16gyszgqflylh0pp30rllv63xdv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -3065,14 +3066,14 @@ (define-public rust-assert-fs-0.11
     (name "rust-assert-fs")
     (version "0.11.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "assert-fs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1h1q90qskbylv4g3jyizdanj73835q7vvq7q10y555x4gnavmrjc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "assert-fs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1h1q90qskbylv4g3jyizdanj73835q7vvq7q10y555x4gnavmrjc"))))
     (arguments
      `(#:cargo-inputs
        (("rust-globwalk" ,rust-globwalk-0.5)
@@ -4109,13 +4110,13 @@ (define-public rust-autocfg-0.1
     (name "rust-autocfg")
     (version "0.1.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "autocfg" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1chwgimpx5z7xbag7krr9d8asxfqbh683qhgl9kn3hxk2l0djj8x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "autocfg" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1chwgimpx5z7xbag7krr9d8asxfqbh683qhgl9kn3hxk2l0djj8x"))))
     (arguments '(#:skip-build? #t))))
 
 (define-public rust-automod-1
@@ -4196,14 +4197,14 @@ (define-public rust-average-0.10
     (name "rust-average")
     (version "0.10.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "average" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1dmsxqcr1n0i20qr9g2g6j89kkx8dy6w18dbqzx1wi42wj1chgvh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "average" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1dmsxqcr1n0i20qr9g2g6j89kkx8dy6w18dbqzx1wi42wj1chgvh"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -4371,14 +4372,14 @@ (define-public rust-az-1
     (name "rust-az")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "az" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0sb51w9pjcqb315dg6zv9wwqj1q2fldcc3xmfv0bhkmajiyx9g79"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "az" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0sb51w9pjcqb315dg6zv9wwqj1q2fldcc3xmfv0bhkmajiyx9g79"))))
     (build-system cargo-build-system)
     (home-page "https://gitlab.com/tspiteri/az")
     (synopsis "Casts and checked casts")
@@ -4440,13 +4441,13 @@ (define-public rust-backtrace-sys-0.1
     (name "rust-backtrace-sys")
     (version "0.1.37")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "backtrace-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "16a3igz22q9lnnjjr77f4k8ci48v8zdwrs67khx3h7wx3jzfpyqq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "backtrace-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "16a3igz22q9lnnjjr77f4k8ci48v8zdwrs67khx3h7wx3jzfpyqq"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -4545,11 +4546,11 @@ (define-public rust-base64-0.13
         ("rust-rand" ,rust-rand-0.6)
         ("rust-structopt" ,rust-structopt-0.3))
        #:phases
-        (modify-phases %standard-phases
+       (modify-phases %standard-phases
          (add-after 'unpack 'fix-criterion-minor-version
-          (lambda* _
-           (substitute* "Cargo.toml"
-            (("0.3.2") "0.3.3")))))))
+           (lambda* _
+             (substitute* "Cargo.toml"
+               (("0.3.2") "0.3.3")))))))
     (home-page "https://github.com/marshallpierce/rust-base64")
     (synopsis "Encodes and decodes base64 as bytes or utf8")
     (description
@@ -4661,13 +4662,13 @@ (define-public rust-base-x-0.2
     (name "rust-base-x")
     (version "0.2.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "base-x" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1hfy0wv7j5ynd73yk1vyr32pqa77rp15lkrc54f8ky9c6hcbc80v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "base-x" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1hfy0wv7j5ynd73yk1vyr32pqa77rp15lkrc54f8ky9c6hcbc80v"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -4743,13 +4744,13 @@ (define-public rust-bencher-0.1
     (name "rust-bencher")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bencher" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1x8p2xblgqssay8cdykp5pkfc0np0jk5bs5cx4f5av097aav9zbx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bencher" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1x8p2xblgqssay8cdykp5pkfc0np0jk5bs5cx4f5av097aav9zbx"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bluss/bencher/")
     (synopsis "Port of the libtest benchmark runner to Rust stable")
@@ -4765,14 +4766,14 @@ (define-public rust-better-panic-0.2
     (name "rust-better-panic")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "better-panic" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0xl48v6pd9ys7wp0ni62i6q73xpd1nhf92z09sjc9n3lrj0ac4ix"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "better-panic" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0xl48v6pd9ys7wp0ni62i6q73xpd1nhf92z09sjc9n3lrj0ac4ix"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -4818,22 +4819,22 @@ (define-public rust-bigdecimal-0.1
     (name "rust-bigdecimal")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bigdecimal" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0i32g88sin9dzr4jn41wgg3pyx2xxm0m1a9s5vh9lpyj5lg1jx0k"))))
-    (arguments
-      `(#:cargo-inputs
-        (("rust-num-bigint" ,rust-num-bigint-0.2)
-         ("rust-num-integer" ,rust-num-integer-0.1)
-         ("rust-num-traits" ,rust-num-traits-0.2)
-         ("rust-serde" ,rust-serde-1))
-        #:cargo-development-inputs
-        (("rust-serde-json" ,rust-serde-json-1))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bigdecimal" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0i32g88sin9dzr4jn41wgg3pyx2xxm0m1a9s5vh9lpyj5lg1jx0k"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-num-bigint" ,rust-num-bigint-0.2)
+        ("rust-num-integer" ,rust-num-integer-0.1)
+        ("rust-num-traits" ,rust-num-traits-0.2)
+        ("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs
+       (("rust-serde-json" ,rust-serde-json-1))))))
 
 (define-public rust-bigdecimal-rs-0.2
   (package
@@ -4865,14 +4866,14 @@ (define-public rust-bincode-1
     (name "rust-bincode")
     (version "1.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bincode" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vc9pjh6hfp9vfq752sa88rxwg93ydhm0dvvy58rcvx2p8wkl3gk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bincode" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vc9pjh6hfp9vfq752sa88rxwg93ydhm0dvvy58rcvx2p8wkl3gk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -5029,14 +5030,14 @@ (define-public rust-bindgen-0.54
     (name "rust-bindgen")
     (version "0.54.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0dn7dlwa0abjlqbl2kvwfdy6k6kgcqg6ixcjmk6pc3dpps09pm7l"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0dn7dlwa0abjlqbl2kvwfdy6k6kgcqg6ixcjmk6pc3dpps09pm7l"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f  ; not all test files included
@@ -5070,14 +5071,14 @@ (define-public rust-bindgen-0.53
     (name "rust-bindgen")
     (version "0.53.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1rc9grfd25bk5b2acmqljhx55ndbzmh7w8b3x6q707cb4s6rfan7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1rc9grfd25bk5b2acmqljhx55ndbzmh7w8b3x6q707cb4s6rfan7"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1)
@@ -5107,14 +5108,14 @@ (define-public rust-bindgen-0.52
     (name "rust-bindgen")
     (version "0.52.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0mzy2gjiaggl602yn4a11xzrxfj18kl7pwqa5yv32njkxd257j7i"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0mzy2gjiaggl602yn4a11xzrxfj18kl7pwqa5yv32njkxd257j7i"))))
     (arguments
      `(#:cargo-inputs
        (("rust-shlex" ,rust-shlex-0.1)
@@ -5145,14 +5146,14 @@ (define-public rust-bindgen-0.51
     (name "rust-bindgen")
     (version "0.51.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0x9gndlnwmxsihxvsc3izyyss7g8b2djn0daafshj1gcy69i7mzb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0x9gndlnwmxsihxvsc3izyyss7g8b2djn0daafshj1gcy69i7mzb"))))
     (arguments
      `(#:cargo-inputs
        (("rust-shlex" ,rust-shlex-0.1)
@@ -5219,14 +5220,14 @@ (define-public rust-bindgen-0.48
     (name "rust-bindgen")
     (version "0.48.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1jpk0p4l4dg1lpvciq9q8wm94sjsflb1vb5x2gk9dlizv4gl2gcx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1jpk0p4l4dg1lpvciq9q8wm94sjsflb1vb5x2gk9dlizv4gl2gcx"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1)
@@ -5320,14 +5321,14 @@ (define-public rust-bindgen-0.37
     (name "rust-bindgen")
     (version "0.37.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "08f2cyzr8fc027mzj2lhmn5j3w318g2ql7yfw5ngxa3yhy1an98v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "08f2cyzr8fc027mzj2lhmn5j3w318g2ql7yfw5ngxa3yhy1an98v"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -5630,14 +5631,14 @@ (define-public rust-bit-vec-0.6
     (name "rust-bit-vec")
     (version "0.6.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bit-vec" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ywqjnv60cdh1slhz67psnp422md6jdliji6alq0gmly2xm9p7rl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bit-vec" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ywqjnv60cdh1slhz67psnp422md6jdliji6alq0gmly2xm9p7rl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -5696,13 +5697,13 @@ (define-public rust-bitflags-1
     (name "rust-bitflags")
     (version "1.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bitflags" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "14qnd5nq8p2almk79m4m8ydqhd413yaxsyjp5xd19g3mikzf47fg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bitflags" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "14qnd5nq8p2almk79m4m8ydqhd413yaxsyjp5xd19g3mikzf47fg"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bitflags/bitflags")
     (synopsis "Macro to generate structures which behave like bitflags")
@@ -5720,12 +5721,12 @@ (define-public rust-bitflags-1.3
     (name "rust-bitflags")
     (version "1.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bitflags" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "12ki6w8gn1ldq7yz9y680llwk5gmrhrzszaa17g1sbrw2r2qvwxy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bitflags" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "12ki6w8gn1ldq7yz9y680llwk5gmrhrzszaa17g1sbrw2r2qvwxy"))))
     (arguments
      `(#:tests? #f      ; Tests require rust-1.46 or newer.
        #:cargo-inputs
@@ -5745,14 +5746,14 @@ (define-public rust-bitflags-0.9
     (name "rust-bitflags")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bitflags" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19dk39gfwmhi3iy1x0wgml1fv1bkb525ywy25zwihbm063i05zaf"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bitflags" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19dk39gfwmhi3iy1x0wgml1fv1bkb525ywy25zwihbm063i05zaf"))))))
 
 (define-public rust-bitflags-0.8
   (package
@@ -5925,14 +5926,14 @@ (define-public rust-bitvec-0.19
     (name "rust-bitvec")
     (version "0.19.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bitvec" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "10bz751jbsy8fj203ibjwil07p2fwfzvx7b326wfssaravlkbfm7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bitvec" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "10bz751jbsy8fj203ibjwil07p2fwfzvx7b326wfssaravlkbfm7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -6043,13 +6044,13 @@ (define-public rust-blas-sys-0.7
     (name "rust-blas-sys")
     (version "0.7.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "blas-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0h14zjycwc76v15h8qll9z1xiryvmpvsb5gam97pqpdjrrwv5c8k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "blas-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0h14zjycwc76v15h8qll9z1xiryvmpvsb5gam97pqpdjrrwv5c8k"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -6136,14 +6137,14 @@ (define-public rust-block-buffer-0.9
     (name "rust-block-buffer")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "block-buffer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1r4pf90s7d7lj1wdjhlnqa26vvbm6pnc33z138lxpnp9srpi2lj1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "block-buffer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1r4pf90s7d7lj1wdjhlnqa26vvbm6pnc33z138lxpnp9srpi2lj1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -6161,14 +6162,14 @@ (define-public rust-block-buffer-0.8
     (name "rust-block-buffer")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "block-buffer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0c9x5b8pk25i13bajqjkzf03bm5hx2y8pi9llfvjpy3nhr295kyv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "block-buffer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0c9x5b8pk25i13bajqjkzf03bm5hx2y8pi9llfvjpy3nhr295kyv"))))
     (arguments
      `(#:cargo-inputs
        (("rust-block-padding" ,rust-block-padding-0.1)
@@ -6327,14 +6328,14 @@ (define-public rust-block-padding-0.2
     (name "rust-block-padding")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "block-padding" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0x6b2dgink7rc3755r8jl4kmndydy5563h3wz7z9jqrb25ygv2y9"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "block-padding" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0x6b2dgink7rc3755r8jl4kmndydy5563h3wz7z9jqrb25ygv2y9"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/RustCrypto/utils")
     (synopsis "Padding and unpadding of messages divided into blocks")
@@ -6434,13 +6435,13 @@ (define-public rust-boomphf-0.5
     (name "rust-boomphf")
     (version "0.5.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "boomphf" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "0braniw72g9yq5006sfgc1g8d4317bb524c694jw6nggizrvg3sf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "boomphf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0braniw72g9yq5006sfgc1g8d4317bb524c694jw6nggizrvg3sf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -7266,14 +7267,14 @@ (define-public rust-bytecount-0.4
     (name "rust-bytecount")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytecount" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "13qpy38z5wx0rzcdvr2h0ixbfgi1dbrif068il3hwn3k2mah88mr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytecount" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "13qpy38z5wx0rzcdvr2h0ixbfgi1dbrif068il3hwn3k2mah88mr"))))
     (arguments
      `(#:cargo-inputs
        (("rust-packed-simd" ,rust-packed-simd-0.3))
